Error Message ImportError: cannot import name PY2 on CentOS 7 and RHEL 7

When getting the following error message on CentOS 7 and RHEL 7:

File "/usr/lib/python2.7/site-packages/pyVmomi/SoapAdapter.py", line 17, in <module>
from six import PY2
ImportError: cannot import name PY2

The reason is an outdated version 1.3.0 of the python-six package provided by CentOS 7/RHEL 7

As of https://bugzilla.redhat.com/show_bug.cgi?id=1185409 a new version of the package will be provided with the release of CentOS 7.2/RHEL 7.2

To workaround the issue meanwhile, the following python-six version 1.7.3 package can be installed by:

yum update https://repos.fedorapeople.org/repos/openstack/openstack-juno/epel-7/python-six-1.7.3-1.el7.centos.noarch.rpm

 

Last update on 2015-06-08 by Stephan Dühr.

Go back